## org.eclipse.emf.importer.ui.contribution.base
Class ModelImporterPackagePage

    java.lang.Object
      org.eclipse.jface.dialogs.DialogPage
          org.eclipse.jface.wizard.WizardPage
              org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
                  org.eclipse.emf.converter.ui.contribution.base.ModelConverterPackagePage
                      org.eclipse.emf.importer.ui.contribution.base.ModelImporterPackagePage

All Implemented Interfaces:
  IModelImporterPage, IDialogPage, IMessageProvider, IWizardPage, Listener

Direct Known Subclasses:
  JavaPackagePage

    public class ModelImporterPackagePage

extends ModelConverterPackagePage
implements IModelImporterPage

Since:
  2.2.0

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`ModelConverterPage.PageDiagnosticHandler`

Field Summary

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPackagePage
`ePackageDataTableColumn, ePackagesCheckboxTableViewer, filteredEPackages, isCellEditing, referencedGenModelsCheckboxTreeViewer, showReferencedGenModels`

Fields inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`CAUSE_BACK, CAUSE_CANCEL, CAUSE_FINISH, CAUSE_NEXT, CAUSE_UNKNOWN, forwardDirection, handlingEvent, modelConverter, neverVisible, pageDiagnosticHandler`

Fields inherited from interface org.eclipse.jface.dialogs.IMessageProvider
`ERROR, INFORMATION, NONE, WARNING`

Constructor Summary
`ModelImporterPackagePage(ModelImporter modelImporter, java.lang.String pageName)`

Method Summary
`protected void` `addReferencedGenModels(java.util.List<GenModel> genModels)`
`protected void` `adjustEPackagesTableViewer(CheckboxTableViewer ePackagesTableViewer)`
`protected java.lang.String` `checkEcoreFileNames()` Checks the ecore file names and returns null if everything is OK or the error message otherwise.
`protected java.lang.String` `getEPackageData(EPackage ePackage)`
`protected java.lang.String` `getEPackageDataColumnLabel()`
`protected java.lang.String` `getLabel(EPackage ePackage)`
`ModelImporter` `getModelImporter()`
`protected java.lang.String` `getPackagesLabel()`
`protected void` `setEPackageData(EPackage ePackage, java.lang.String data)`
`protected void` `validate()`
`protected boolean` `validateEcoreModelFileName(java.lang.String fileName, java.lang.String packageName)`
`protected boolean` `validateEPackageData(EPackage ePackage, java.lang.String data)`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPackagePage

`addEPackagesTableColumns, addExternalGenModels, addReferencedGenModelsTreeCheckStateManager, addReferencedGenModelsTreeColumns, adjustReferencedGenModelsTreeViewer, createControl, createEPackageDataColumnTableEditor, createPackageControl, createReferencedGenModelControl, dispose, ePackageCheckStateChanged, filterEPackagesTable, getAddButtonLabel, getBrowseButtonLabel, getCheckedEPackages, getCheckedReferencedGenPackages, getDeselectAllLabel, getEPackageColumnLabel, getEPackageImage, getEPackagesTableViewerContentProvider, getEPackagesTableViewerLabelProvider, getLabel, getLabel, getReferencedGenModelsLabel, getReferencedGenModelsTreeViewerContentProvider, getReferencedGenModelsTreeViewerLabelProvider, getReferencedGenPackagesToCheck, getSelectAllLabel, getSelectGenModelDialogMessage, isPageComplete, pageActivated, referencedGenModelsAddSelected, referencedGenModelsBrowseSelected, referencedGenModelsCheckboxTreeViewerCheckStateChanged, setShowReferencedGenModels, showReferencedGenModels, supportsNestedPackages`

Methods inherited from class org.eclipse.emf.converter.ui.contribution.base.ModelConverterPage
`doHandleEvent, getModelConverter, getNextPage, getPreviousPage, handleDiagnostic, handleDiagnostic, handleEvent, isHandlingEvent, pageDeactivated, setHandlingEvent`

Methods inherited from class org.eclipse.jface.wizard.WizardPage
`canFlipToNextPage, getContainer, getDialogSettings, getImage, getName, getShell, getWizard, isCurrentPage, setDescription, setErrorMessage, setImageDescriptor, setMessage, setPageComplete, setPreviousPage, setTitle, setWizard, toString`

Methods inherited from class org.eclipse.jface.dialogs.DialogPage
`convertHeightInCharsToPixels, convertHorizontalDLUsToPixels, convertVerticalDLUsToPixels, convertWidthInCharsToPixels, getControl, getDescription, getDialogFontName, getErrorMessage, getFont, getMessage, getMessageType, getTitle, getToolTipText, initializeDialogUnits, isControlCreated, performHelp, setButtonLayoutData, setControl, setMessage, setVisible`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.jface.wizard.IWizardPage
`canFlipToNextPage, getName, getNextPage, getPreviousPage, getWizard, isPageComplete, setPreviousPage, setWizard`

Methods inherited from interface org.eclipse.jface.dialogs.IDialogPage
`createControl, dispose, getControl, getDescription, getErrorMessage, getImage, getMessage, getTitle, performHelp, setDescription, setImageDescriptor, setTitle, setVisible`

Constructor Detail

### ModelImporterPackagePage

    public ModelImporterPackagePage(ModelImporter modelImporter,
                                    java.lang.String pageName)

Method Detail

### getModelImporter

    public ModelImporter getModelImporter()

  Specified by:
    `getModelImporter` in interface `IModelImporterPage`

### adjustEPackagesTableViewer

    protected void adjustEPackagesTableViewer(CheckboxTableViewer ePackagesTableViewer)

  Overrides:
    `adjustEPackagesTableViewer` in class `ModelConverterPackagePage`

### validateEPackageData

    protected boolean validateEPackageData(EPackage ePackage,
                                           java.lang.String data)

  Overrides:
    `validateEPackageData` in class `ModelConverterPackagePage`

### setEPackageData

    protected void setEPackageData(EPackage ePackage,
                                   java.lang.String data)

  Overrides:
    `setEPackageData` in class `ModelConverterPackagePage`

### getEPackageData

    protected java.lang.String getEPackageData(EPackage ePackage)

  Overrides:
    `getEPackageData` in class `ModelConverterPackagePage`

### getLabel

    protected java.lang.String getLabel(EPackage ePackage)

  Overrides:
    `getLabel` in class `ModelConverterPackagePage`

### getEPackageDataColumnLabel

    protected java.lang.String getEPackageDataColumnLabel()

  Overrides:
    `getEPackageDataColumnLabel` in class `ModelConverterPackagePage`

### validate

    protected void validate()

  Overrides:
    `validate` in class `ModelConverterPackagePage`

### getPackagesLabel

    protected java.lang.String getPackagesLabel()

  Overrides:
    `getPackagesLabel` in class `ModelConverterPackagePage`

### validateEcoreModelFileName

    protected boolean validateEcoreModelFileName(java.lang.String fileName,
                                                 java.lang.String packageName)

### checkEcoreFileNames

    protected java.lang.String checkEcoreFileNames()

  Checks the ecore file names and returns null if everything is OK or the error message otherwise.

  Returns:
    String

### addReferencedGenModels

    protected void addReferencedGenModels(java.util.List<GenModel> genModels)

  Overrides:
    `addReferencedGenModels` in class `ModelConverterPackagePage`

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.